<?php
$storeName =  $this->getGeoDetectedStoreName();
?>

<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">

<style type="text/css">
	body {font-family: Arial, Helvetica, sans-serif;}

/* The Modal (background) */
.modal {
 
  position: fixed; /* Stay in place */
  z-index: 5; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
	position: relative;
  /*background-color: #e6f7ff;*/
  background-color: rgb(50 135 223 / 100%);
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 40%;
}



.modal-content p{
    text-align: center;
}
.modal-content .form{
    text-align: center;
}



/* The Close Button */
.okbtn {
	  margin: 0;
    display: inline-block;
    text-align: center;
    width: auto;
  background-color: #cceeff;
  border-width: 1px;
  border-color: #99ddff;
  border-radius: 2px;
  opacity: 90%
}
.okbtn:hover,
.okbtn:focus {
	background-color: #b3e6ff;
	border-color: #66ccff;
	opacity: 100%;
}


/* The Close Button */
.close {
	position: absolute;
    right: 7px;
    top: -6px;
    float: none;
    font-size: 28px;
  color: #aaaaaa;
  float: right;
  font-size: 32px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

/*11-09-2020*/

/*.modal-content{background-color: rgb(50 135 223 / 90%) !important;}*/
.modal-content .title .popup_main_title_biz,
.modal-content .title .popup_subtitle_biz{color: #fff;}
.modal-content .title .popup_main_title_biz{font-size: 25px;}
.modal-content .title .popup_subtitle_biz{font-size: 18px; margin-top: 10px;}
.modal_content_detail span, 
.modal_content_detail b, 
.modal-content .modal_content_detail .content_link{color: #fff;}
.modal-content .modal_content_detail{padding: 15px 0; border-top: 1px solid #fff; margin-top: 12px;}
.modal-content .modal_content_detail .content_link{text-align: left; margin-top: 10px;}
.modal-content #okbtn { font-size: 18px; border: none; background: #fff; padding: 10px 40px; cursor: pointer; -webkit-transition: all 0.3s ease;-o-transition: all 0.3s ease; margin-top: 20px;}
.modal-content #okbtn:hover{opacity: 1;}
.close { position: absolute; right: -13px; top: -15px; float: none; font-size: 28px; color: #fff; float: right; font-size: 27px; font-weight: bold; background: #000; border-radius: 100%; height: 30px; width: 30px; line-height: 30px; text-align: center; border: 2px solid #fff; }
.close:hover{color: #fff;}
.store_name{color: #008000; font-weight: 600;}
.popup4-content-detail span{font-size: 16px;}
.modal_content_detail span { font-size: 18px; }


</style>
<body>
	<!-- Load popup for the enable -->
	<div id="geoip_pupup" class="modal">

		<!-- Popup modal content -->
		<div class="modal-content">
			<?php if($this->manualstoreSwich()) { ?>
			<span class="close">&times;</span>
			<?php } ?>
			<div class="title">
				<div class="popup_main_title_biz"><?=$this->getTitle();?></div>
				<div class="popup_subtitle_biz"></div>
			</div>
			<!-- <hr> -->
			<div class="content">
				<div class="modal_content_detail">
					<span>Geo-Located Store: </span><span class="store_name"><?=ucwords($storeName)?></span>
					<div class="content_link"><?=$this->getMessage();?></div>
				</div>
			</div>
			<!-- <hr> -->
			<form class="form" action="<?php echo $block->getUrl('geoip/index/index') ?>" method="post" id="frm_geoip" >
				<button id="okbtn" class="okbtn" name="okbtn"  type="submit" class="action">
					<span><span><strong><?=$this->getButtonText();?></strong></span></span>
				</button>
			</form>
		</div>
	</div>
	<script>
	// Get the modal
	var modal = document.getElementById("geoip_pupup");

	<?php
    if($this->manualstoreSwich()) { ?>
		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];

		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		  	window.location.href = "<?php echo $this->redirectBack(); ?>";
		  	modal.style.display = "none";
		}
	<?php } ?>

	// When the user clicks anywhere outside of the modal, close it
	window.onclick = function(event) {
	  	if (event.target == modal) {
	    	window.location.href = "<?php echo $this->redirectBack(); ?>";
	    	modal.style.display = "none";
	  	}
	}
	</script>
</body>
</html>